> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Find CMS frameworks > Returns one page as a plain array, without a total count. Use get for the full framework. All body fields are optional; send an empty body or `{}` to get the first page of active frameworks. Text filters are case-insensitive substring matches and are combined with AND. Body fields: - `lifecycleStatus`: lifecycle statuses to include, `ACTIVE` and/or `ARCHIVED`. Defaults to `ACTIVE`. - `contentTypes`: content types to include: `EMAIL`, `FORM`, `IN_APP`, `MICROSITE`. Defaults to all content types. - `page`: zero-based page number. Defaults to 0. - `size`: results per page. Defaults to 25; values above 100 are capped at 100. - `name`: matches the framework name. - `author`: matches the creator's full name (first name, a space, then last name). - `assignedTo`: matches the assignee's full name (first name, a space, then last name). - `created` / `modified`: matches the creation / last modification time in `yyyy-MM-dd HH:mm:ss` format, e.g. `2026-11` or `2026-11-04`. ## OpenAPI ````json POST /cmsFrameworks/find { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/cmsFrameworks/find": { "post": { "tags": [ "CMS Frameworks" ], "summary": "Returns a page of frameworks that match the search criteria.", "description": "Returns one page as a plain array, without a total count. Use get for the full framework. All body fields are optional; send an empty body or `{}` to get the first page of active frameworks. Text filters are case-insensitive substring matches and are combined with AND.\n\nBody fields:\n- `lifecycleStatus`: lifecycle statuses to include, `ACTIVE` and/or `ARCHIVED`. Defaults to `ACTIVE`.\n- `contentTypes`: content types to include: `EMAIL`, `FORM`, `IN_APP`, `MICROSITE`. Defaults to all content types.\n- `page`: zero-based page number. Defaults to 0.\n- `size`: results per page. Defaults to 25; values above 100 are capped at 100.\n- `name`: matches the framework name.\n- `author`: matches the creator's full name (first name, a space, then last name).\n- `assignedTo`: matches the assignee's full name (first name, a space, then last name).\n- `created` / `modified`: matches the creation / last modification time in `yyyy-MM-dd HH:mm:ss` format, e.g. `2026-11` or `2026-11-04`.", "operationId": "cmsFrameworksFind", "requestBody": { "description": "Optional filter and paging criteria. See the operation notes for the fields.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CmsFrameworkSearchRequest" } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "The frameworks on the requested page.\n\nExample response:\n```json\n[\n {\n \"id\": 9070,\n \"name\": \"Newsletter layout\",\n \"tags\": \"newsletter\",\n \"lifecycleStatus\": \"ACTIVE\",\n \"status\": \"WORKINPROGRESS\",\n \"createDate\": 1792998000000,\n \"modifyDate\": 1793001600000\n }\n]\n```", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/FrameworkListItem" } } } } }, "400": { "description": "Error. All errors are returned as HTTP 400; errorCode in the body says what went wrong: INVALID_PARAMETER or MISSING_PARAMETER (a parameter is missing or invalid), NO_SUCH_OBJECT (no object with this ID in your account), PERMISSION_DENIED (your user lacks the CMS permission for this action), UNEXPECTED_ERROR (backend error). Example: {\"errorActor\": \"CLIENT\", \"errorCode\": \"NO_SUCH_OBJECT\", \"message\": \"...\", \"objectType\": null, \"propertyName\": null, \"propertyValue\": null}", "content": { "application/json": {} } } } } } }, "components": { "schemas": { "CmsFrameworkSearchRequest": { "type": "object", "properties": { "lifecycleStatus": { "type": "array", "items": { "enum": [ "ACTIVE", "ARCHIVED" ], "type": "string" } }, "contentTypes": { "type": "array", "items": { "enum": [ "EMAIL", "FORM", "IN_APP", "MICROSITE" ], "type": "string" } }, "page": { "type": "integer", "format": "int32" }, "size": { "type": "integer", "format": "int32" }, "name": { "type": "string" }, "author": { "type": "string" }, "assignedTo": { "type": "string" }, "created": { "type": "string" }, "modified": { "type": "string" } } }, "FrameworkListItem": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "tags": { "type": "string" }, "lifecycleStatus": { "enum": [ "ACTIVE", "ARCHIVED" ], "type": "string" }, "status": { "enum": [ "FINISHED", "WORKINPROGRESS" ], "type": "string" }, "createDate": { "type": "integer", "format": "int64" }, "modifyDate": { "type": "integer", "format": "int64" } } } } } } ````